# LiquityV2Borrow

### Description

Borrows a bold amount from a LiquityV2 trove on a specific market

### Action ID

`0x78b6a3ae`

### SDK Action

```ts
const liquityV2BorrowAction = new dfs.actions.liquityV2.LiquityV2BorrowAction(
    market,
    to,
    troveId,
    amount,
    maxUpfrontFee
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param to The address to send the tokens to
    /// @param troveId The ID of the trove to borrow the tokens from
    /// @param amount The amount of tokens to borrow
    /// @param maxUpfrontFee The maximum upfront fee to pay (see IHintHelpers:predictAdjustTroveUpfrontFee)
    struct Params {
        address market;
        address to;
        uint256 troveId;
        uint256 amount;
        uint256 maxUpfrontFee;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2Borrow", logData);
logger.logActionDirectEvent("LiquityV2Borrow", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2borrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
